Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java	(revision 3893)
@@ -199,7 +199,7 @@
 			Font font = new Font(Display.getCurrent(), fd);
 			addwordButton.setFont(font);
 			addwordButton.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
-			addwordButton.setText(TXMUIMessages.addAWord+" ⯯");
+			addwordButton.setText(TXMUIMessages.addAWord+" ⯯"); //$NON-NLS-1$
 			addwordButton.addSelectionListener(new SelectionListener() {
 				
 				@Override
@@ -227,7 +227,7 @@
 			withinComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false, 2, 1));
 			withinButton = new Button(withinComposite, SWT.CHECK);
 			withinButton.setText(TXMUIMessages.withinAContextOf); // "within structure: "
-			withinButton.setToolTipText("Check to add structure contraint");
+			withinButton.setToolTipText(TXMUIMessages.checkToAddAStructureConstraint);
 			withinButton.addSelectionListener(new SelectionListener() {
 				
 				@Override
@@ -241,26 +241,26 @@
 			});
 			
 			withinN = new Spinner(withinComposite, SWT.CHECK);
-			withinN.setToolTipText("context size");
+			withinN.setToolTipText(TXMUIMessages.contextSize);
 			withinN.setMinimum(1);
 			withinN.setMaximum(200);
 			withinN.setEnabled(false);
 			
 			structsCombo = new Combo(withinComposite, SWT.READ_ONLY);
-			structsCombo.setToolTipText("The available contexts");
+			structsCombo.setToolTipText(TXMUIMessages.theAvailableContexts);
 			structsCombo.setEnabled(false);
-			structsCombo.add("<word>");
+			structsCombo.add("<word>"); //$NON-NLS-1$
 			
 			int iText = -1;
 			int iP = -1;
 			List<StructuralUnit> sus = corpus.getOrderedStructuralUnits();
 			for (int i = 0; i < sus.size(); i++) {
 				StructuralUnit su = sus.get(i);
-				if (su.getName().equals("txmcorpus")) continue;
+				if (su.getName().equals("txmcorpus")) continue; //$NON-NLS-1$
 				structsCombo.add(su.getName());
 				
-				if (su.getName().equals("text")) iText = i;
-				if (su.getName().equals("p")) iP = i;
+				if (su.getName().equals("text")) iText = i; //$NON-NLS-1$
+				if (su.getName().equals("p")) iP = i; //$NON-NLS-1$
 			}
 			if (structsCombo.getItemCount() > 0) {
 				if (iP >= 0) {
@@ -368,13 +368,13 @@
 		}
 		
 		if (withinButton != null && withinButton.getSelection() && structsCombo.getText().length() > 0) {
-			query += " within ";
+			query += " within "; //$NON-NLS-1$
 			
 			if (withinN.getSelection() > 1) {
-				query += "" + withinN.getSelection() + " "; //$NON-NLS-1$
+				query += "" + withinN.getSelection() + " "; //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
-			if (!structsCombo.getText().equals("<word>")) {
+			if (!structsCombo.getText().equals("<word>")) { //$NON-NLS-1$
 				query += structsCombo.getText();
 			}
 		}
@@ -418,12 +418,12 @@
 		 * @param no the no
 		 */
 		public WordPropertyField(Composite parent, int style, int no) {
-			super(parent, style, "" + no);
+			super(parent, style, "" + no); //$NON-NLS-1$
 			
 			this.getLayout().numColumns = 3;
 			
 			propCombo = new Combo(this, SWT.READ_ONLY | SWT.SINGLE);
-			propCombo.setToolTipText("Property to test");
+			propCombo.setToolTipText(TXMUIMessages.propertyToTest);
 			if (properties != null) {
 				for (Property p : properties) {
 					propCombo.add(p.getName());
@@ -441,7 +441,7 @@
 			}
 			
 			testCombo = new Combo(this, SWT.READ_ONLY | SWT.SINGLE);
-			testCombo.setToolTipText("Test to do");
+			testCombo.setToolTipText(TXMUIMessages.testToDo);
 			testCombo.add(TXMUIMessages.equalsTo);
 			testCombo.add(TXMUIMessages.startsWith);
 			testCombo.add(TXMUIMessages.endsWith);
@@ -450,7 +450,7 @@
 			testCombo.select(0);
 			
 			valueT = new Combo(this, SWT.SINGLE);
-			valueT.setToolTipText("The word property value");
+			valueT.setToolTipText(TXMUIMessages.theWordPropertyValue);
 			GridData gdata = new GridData(GridData.FILL, GridData.FILL, false, false);
 			gdata.widthHint = 150;
 			gdata.minimumWidth = 150;
@@ -475,7 +475,7 @@
 		private void updateAvailableValues() {
 			String p = propCombo.getText();
 			String[] items = null;
-			if (p.contains("_")) {
+			if (p.contains("_")) { //$NON-NLS-1$
 				StructuralUnitProperty sup = corpus.getStructuralUnitProperty(p);
 				try {
 					if (sup.getNValues() > 1000) {
@@ -560,8 +560,8 @@
 			
 			Button addPropertyButton = new Button(this, SWT.PUSH);
 			addPropertyButton.setLayoutData(buttonLayout);
-			addPropertyButton.setText("+");
-			addPropertyButton.setToolTipText("add a property test");
+			addPropertyButton.setText("+"); //$NON-NLS-1$
+			addPropertyButton.setToolTipText(TXMUIMessages.addAPropertyTest);
 			addPropertyButton.addSelectionListener(new SelectionListener() {
 				
 				@Override
@@ -575,8 +575,8 @@
 			
 			Button removePropertyButton = new Button(this, SWT.PUSH);
 			removePropertyButton.setLayoutData(buttonLayout);
-			removePropertyButton.setText("-");
-			removePropertyButton.setToolTipText("remove the last property test");
+			removePropertyButton.setText("-"); //$NON-NLS-1$
+			removePropertyButton.setToolTipText(TXMUIMessages.removeTheLastPropertyTest);
 			removePropertyButton.addSelectionListener(new SelectionListener() {
 				
 				@Override
@@ -588,22 +588,22 @@
 				public void widgetDefaultSelected(SelectionEvent e) {}
 			});
 			
-			propertiesFieldComposite = new GLComposite(this, SWT.NONE, "properties");
+			propertiesFieldComposite = new GLComposite(this, SWT.NONE, "properties"); //$NON-NLS-1$
 			GridData propertiesvlayout = new GridData(GridData.FILL, GridData.CENTER, true, false);
 			propertiesFieldComposite.setLayoutData(propertiesvlayout);
 			propertiesFieldComposite.getLayout().numColumns = 2;
 			
 			allCriteriaLabel = new Label(this, SWT.NONE);
-			allCriteriaLabel.setText("  ");
+			allCriteriaLabel.setText("  "); //$NON-NLS-1$
 			
 			allCriteriaButton = new Button(this, SWT.CHECK);
-			allCriteriaButton.setToolTipText("All property tests are verified");
+			allCriteriaButton.setToolTipText(TXMUIMessages.allPropertyTestsAreVerified);
 			allCriteriaButton.setSelection(true);
 			
-			new Label(this, SWT.NONE).setText("@");
+			new Label(this, SWT.NONE).setText("@"); //$NON-NLS-1$
 			
 			targetButton = new Button(this, SWT.CHECK);
-			targetButton.setToolTipText("Check to target the word in the query");
+			targetButton.setToolTipText(TXMUIMessages.checkToTargetThisWordInTheQuery);
 			targetButton.addSelectionListener(new SelectionListener() {
 				
 				@Override
@@ -678,9 +678,9 @@
 			allCriteriaButton.setEnabled(propertyFields.size() > 1);
 			allCriteriaButton.setVisible(propertyFields.size() > 1);
 			if (allCriteriaButton.isEnabled()) {
-				allCriteriaLabel.setText("&&");
+				allCriteriaLabel.setText("&&"); //$NON-NLS-1$
 			} else {
-				allCriteriaLabel.setText("  ");
+				allCriteriaLabel.setText("  "); //$NON-NLS-1$
 			}
 			// propertiesAllOrOne.setVisible(propertyFields.size() > 1);
 			// ((GridData)propertiesAllOrOne.getLayoutData()).exclude = propertyFields.size() < 2;
@@ -707,15 +707,15 @@
 		 * @return the query
 		 */
 		public String getQuery() {
-			String query = "";
+			String query = ""; //$NON-NLS-1$
 			if (targetButton.getSelection()) {
-				query += "@";
+				query += "@"; //$NON-NLS-1$
 			}
 			query += "["; //$NON-NLS-1$
 			
-			String propertiesAllOrOne = " | ";
+			String propertiesAllOrOne = " | "; //$NON-NLS-1$
 			if (allCriteriaButton.getSelection()) {
-				propertiesAllOrOne = " & ";
+				propertiesAllOrOne = " & "; //$NON-NLS-1$
 			}
 			
 			int nField = 0;
@@ -729,7 +729,7 @@
 				}
 				
 				String p = propCombo.getItem(propCombo.getSelectionIndex());
-				if (p.contains("_")) query += "_."; // structural properties must be prefixed with "_."
+				if (p.contains("_")) query += "_."; // structural properties must be prefixed with "_." //$NON-NLS-1$ //$NON-NLS-2$
 				query += p;
 				if (testCombo.getSelectionIndex() == 0)// equals
 					query += " = \"" + valueT.getText().replace("\"", "\\\"") + "\""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3893)
@@ -200,7 +200,7 @@
 						// CREATE THE CLOSE CONTROL FILE
 						String rootPath = Platform.getInstanceLocation().getURL().toURI().getPath();
 						lockFile = new File(rootPath, "txm_was_not_closed_correctly.lock"); //$NON-NLS-1$
-						Log.fine("Lock file path: "+lockFile);
+						Log.fine("Lock file path: "+lockFile); //$NON-NLS-1$
 						if (lockFile.exists()) { // the close control file was not deleted //$NON-NLS-1$
 							lockFile.delete(); //$NON-NLS-1$
 
@@ -787,7 +787,7 @@
 						//							e1.printStackTrace();
 						//							return;
 						//						}
-						MessageDialog.openError(w.getDisplay().getActiveShell(), "Error", record.getMessage());
+						MessageDialog.openError(w.getDisplay().getActiveShell(), TXMUIMessages.error, record.getMessage());
 					}
 				});
 
@@ -1049,7 +1049,7 @@
 									jobHandler.setTaskName(TXMUIMessages.toolboxReady);
 								}
 								catch (Throwable e) {
-									System.out.println("Initialisation error: "+e);
+									System.out.println(TXMUIMessages.initialisationErrorP0+e);
 									e.printStackTrace();
 								}
 							}
